Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81923 - ntp cant create /etc/ntp.drift.TEMP
Summary: ntp cant create /etc/ntp.drift.TEMP
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-15 08:23 UTC by Need Real Name
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-04 17:10:52 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-15 08:23:01 UTC
Description of problem:
ntp expects to be able to create a drift file at /etc/ntp.drift.TEMP  The user
ntp runs under (ntp) doesn't have suficient rights to create the file. can be
fixed by creating the file and giving ownership of it to ntp


Version-Release number of selected component (if applicable):4.1.1-1


How reproducible: instalation


Steps to Reproduce:
1.install ntp
2.start ntp
3.check /var/log/ntp.log
    
Actual results:


Expected results:


Additional info:

Comment 1 Pentti Ala-Vannesluoma 2003-01-24 17:40:22 UTC
File /etc/ntp.conf is generated automatically on bootup.
Line "driftfile /etc/ntp.drift" should be "driftfile /etc/ntp/drift"

Comment 2 Harald Hoyer 2003-01-30 12:24:39 UTC
this is pump or dhcpd... it overwrites /etc/ntp.conf

Comment 3 Eido Inoue 2003-02-06 20:45:03 UTC
pump doesn't touch ntp.conf afaict

Comment 4 Daniel Walsh 2003-03-04 17:10:52 UTC
PLease update to the current release of dhcpclient in rawhide.


Note You need to log in before you can comment on or make changes to this bug.